Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class PathEntry

    java.lang.Object
      mro.util.experimentation.PathEntry

    public class PathEntry

extends java.lang.Object

Path Table. A class for handling a xml-table of paths.

Field Summary
`private java.lang.String` | `measureAbbreviation`
`private java.util.Vector<java.lang.String>` | `paths`
`private java.lang.String` | `roundString`

Constructor Summary
`PathEntry()`

Method Summary
`java.lang.String` | `getMeasureAbbreviation()`
`java.util.Vector<java.lang.String>` | `getPaths()`
`java.lang.String` | `getRoundString()`
`void` | `printXML(java.io.PrintWriter pw)`
`void` | `putPath(java.lang.String path)`
`void` | `setMeasureAbbreviation(java.lang.String measureAbbreviation)`
`void` | `setPaths(java.util.Vector<java.lang.String> paths)`
`void` | `setRoundString(java.lang.String roundString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paths

    private java.util.Vector<java.lang.String> paths

### measureAbbreviation

    private java.lang.String measureAbbreviation

### roundString

    private java.lang.String roundString

Constructor Detail

### PathEntry

    public PathEntry()

Method Detail

### putPath

    public void putPath(java.lang.String path)

### setPaths

    public void setPaths(java.util.Vector<java.lang.String> paths)

### setMeasureAbbreviation

    public void setMeasureAbbreviation(java.lang.String measureAbbreviation)

### setRoundString

    public void setRoundString(java.lang.String roundString)

### getPaths

    public java.util.Vector<java.lang.String> getPaths()

### getMeasureAbbreviation

    public java.lang.String getMeasureAbbreviation()

### getRoundString

    public java.lang.String getRoundString()

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD